---
suite: vm-scalability
testcase: vm-scalability
category: benchmark
perf-profile:
runtime: 300s
size:
vm-scalability:
  test: lru-file-mmap-read
job_origin: vm-scalability.yaml
queue: bisect
testbox: lkp-gnr-2sp3
commit: '09126aca2433002c7d5f69bb47f2667f8fd8b25d'
compiler: gcc-12
branch: bytedance/5.15-velinux
kconfig: x86_64-bytedance-5.15-velinux
repeat_to: 3
name: "/zdci/db/releases/20250801174630/lkp-src/jobs/vm-scalability.yaml"
kernel_cmdline:
tbox_group: lkp-gnr-2sp3
job_file: "/lkp/jobs/scheduled/lkp-gnr-2sp3/vm-scalability-performance-300s-lru-file-mmap-read-debian-12-x86_64-20240206.cgz-09126aca2433-20250905-22628-kbtqhh-0.yaml"
id: 9b9e52fb81caa1cf1b968925248a702ffe4c58ed
queuer_version: "/zdci/src/lkp"
model: Granite Rapids
nr_node: 2
nr_cpu: 256
memory: 256G
nr_ssd_partitions: 3
ssd_partitions:
- "/dev/disk/by-id/nvme-INTEL_SSDPF2KX019T1M_PHAX404100N61P9BGN-part5"
- "/dev/disk/by-id/nvme-INTEL_SSDPF2KX019T1M_PHAX404100N61P9BGN-part6"
- "/dev/disk/by-id/nvme-INTEL_SSDPF2KX019T1M_PHAX404100N61P9BGN-part7"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPF2KX019T1M_PHAX404100N61P9BGN-part4"
kernel_cmdline_hw: acpi_rsdp=0x634a8014
brand: Intel(R) Xeon(R) 6767P  CPU @ 2.4GHz
ucode: '0x10003a2'
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: "n"
- XFS_DEBUG: "n"
- XFS_WARN: "y"
- PM_DEBUG: "n"
- PM_SLEEP_DEBUG: "n"
- DEBUG_ATOMIC_SLEEP: "n"
- DEBUG_SPINLOCK_SLEEP: "n"
- CIFS_DEBUG: "n"
- SCSI_DEBUG: "n"
- NFS_DEBUG: "n"
- SUNRPC_DEBUG: "n"
- DM_DEBUG: "n"
- DEBUG_SHIRQ: "n"
- OCFS2_DEBUG_MASKLOG: "n"
- DEBUG_MEMORY_INIT: "n"
- BUG_ON_DATA_CORRUPTION: "n"
- DEBUG_LIST: "n"
- DEBUG_PLIST: "n"
- EXPERT: "y"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY_BEHAVIOUR: "y"
- PREEMPT_BEHAVIOUR: "n"
- PREEMPT_NONE_BEHAVIOUR: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- BLK_DEV_LOOP
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
cpufreq_governor: performance
sanity-check:
rootfs: debian-12-x86_64-20240206.cgz
enqueue_time: 2025-09-05 23:45:28.808174017 +08:00
_rt: "/result/vm-scalability/performance-300s-lru-file-mmap-read/lkp-gnr-2sp3/debian-12-x86_64-20240206.cgz/x86_64-bytedance-5.15-velinux/gcc-12/09126aca2433002c7d5f69bb47f2667f8fd8b25d"
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20250905-162914"
arch: x86_64
max_uptime: 14400
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/vm-scalability/performance-300s-lru-file-mmap-read/lkp-gnr-2sp3/debian-12-x86_64-20240206.cgz/x86_64-bytedance-5.15-velinux/gcc-12/09126aca2433002c7d5f69bb47f2667f8fd8b25d/0
- BOOT_IMAGE=/pkg/linux/x86_64-bytedance-5.15-velinux/gcc-12/09126aca2433002c7d5f69bb47f2667f8fd8b25d/vmlinuz-5.15.152-19658-g09126aca2433
- branch=bytedance/5.15-velinux
- job=/lkp/jobs/scheduled/lkp-gnr-2sp3/vm-scalability-performance-300s-lru-file-mmap-read-debian-12-x86_64-20240206.cgz-09126aca2433-20250905-22628-kbtqhh-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-bytedance-5.15-velinux
- commit=09126aca2433002c7d5f69bb47f2667f8fd8b25d
- intremap=posted_msi
- acpi_rsdp=0x634a8014
- max_uptime=14400
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-bytedance-5.15-velinux/gcc-12/09126aca2433002c7d5f69bb47f2667f8fd8b25d/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20250628.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20241102.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-11066801dd4b-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/vm-scalability_20241103.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/vm-scalability-x86_64-6f4ef16-0_20241103.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/iostat_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/mpstat_20240221.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/sar-x86_64-f3f2b1a4-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20250523.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: shz
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-gnr-2sp3/vm-scalability-performance-300s-lru-file-mmap-read-debian-12-x86_64-20240206.cgz-09126aca2433-20250905-22628-kbtqhh-0.cgz"
last_kernel: 5.15.152-17605-g1c6b4cce8fc7
acpi_rsdp: '0x634a8014'
bad_samples:
- 16456836
- 15924311
- 16559718
good_samples:
- 17465119
- 17065886
- 18118299

#! queue options
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
- force_schedule

#! user overrides
kbuild_queue_analysis: 1
force_schedule: 1
kernel: "/pkg/linux/x86_64-bytedance-5.15-velinux/gcc-12/09126aca2433002c7d5f69bb47f2667f8fd8b25d/vmlinuz-5.15.152-19658-g09126aca2433"
result_root: "/result/vm-scalability/performance-300s-lru-file-mmap-read/lkp-gnr-2sp3/debian-12-x86_64-20240206.cgz/x86_64-bytedance-5.15-velinux/gcc-12/09126aca2433002c7d5f69bb47f2667f8fd8b25d/0"

#! schedule options
user: lkp

#! /zdci/db/releases/20250905115158/lkp-src/include/site/shz
dequeue_time: 2025-09-05 23:53:15.219756983 +08:00
job_state: finished
loadavg: 4.30 70.36 54.77 1/1767 15438
start_time: '1757087908'
end_time: '1757088248'
version: "/lkp/lkp/.src-20250905-162914:c3e1a18941a3:11b9e3abd9db-dirty"
